Subject: Re: [PATCH net-next v1] page_pool: check for dma_sync_size earlier

From: Furong Xu <[email-masked]>
Date: Mon, 14 Oct 2024 14:35:42 +0800

Hi Yunsheng,

On Sat, 12 Oct 2024 14:14:41 +0800, Yunsheng Lin <[email-masked]> wrote:

> I would prefer to add a new api to do that, as it makes the semantic
> more obvious and may enable removing some checking in the future.
> 
> And we may need to disable this 'feature' for frag relate API for now,
> as currently there may be multi callings to page_pool_put_netmem() for
> the same page, and dma_sync is only done for the last one, which means
> it might cause some problem for those usecases when using frag API.

I am not an expert on page_pool.
So would you mind sending a new patch to add a non-dma-sync version of
page_pool_put_page() and CC it to me?
I am so glad to test it on my device ;)
Thanks.